---

# tasks file for csv format

- name: Split CSV data into lines
  set_fact:
    csv_lines: "{{ awx_webhook_payload.data.template_code | regex_replace('\\r\n', '\\n') | regex_findall('([^\\n]+)') }}"

- name: Extract values from CSV lines
  set_fact:
    csv_data: "{{ csv_data | default([]) + [dict(headers|zip(item.split(',')))] }}"
  loop: "{{ csv_lines[1:] }}"
  vars:
    headers: "{{ csv_lines[0].split(',') | map('regex_replace', '\\r', '') | list }}"

